@media print{  /*Regola dedicata alla visualizzazione su carta*/
  .container{
      margin:10px;
      padding:10px;
  }
  .noprint {display:none;}
  @page {size: A4; margin: 10mm;}
  body {font-size: 9pt;}
  td {padding-top:0; padding-bottom:0;}
  table tbody td {padding-top:0; padding-bottom:0;}
}

/* unify default links color between foundation and foundation 24 */
a { color: #1779ba; }
a:focus,
a:hover,
.dropdown.menu .is-active>a {
    color: #1468a0;
}
.dropdown.menu>li.is-dropdown-submenu-parent>a::after { border-color: #1779ba transparent transparent; }

.only_print {display:none;}
#siteNavStickyWrap { width: 100%; }
#pageContent {min-height:20rem}
.row {margin-left: 0}
  a[href]:after {
  content: none;
}
td {border: 1px solid #CCC;}
tr.error td{ color: #FFF;background-color: #A00;}
tr.nodate td { color: #FFF;background-color: #880;}

table.estimate td,table.estimate th {font-size:0.8rem;}
.number {text-align: right;} 

.top-bar {
    padding:0;border-bottom:1px solid #F00;background-color:#FFF; display: flex; flex-wrap: wrap; justify-content: space-between; align-items: center;
    .top-bar-left,
    .top-bar-right {
        flex: 0 0 100%;
        max-width: 100%;
    }

    .menu li {
        display: inline-block;
    }
}
@media print, screen and (min-width: 40em) {
    .top-bar {
        flex-wrap: nowrap;
        .top-bar-left {
            flex: 1 1 auto;
            margin-right: auto;
        }

        .top-bar-right {
            flex: 0 1 auto;
            margin-left: auto;
        }
    }

}
.top-bar-title {margin: 0;padding: 0;min-height:54px; float: none; display: block;}
.top-bar-logo {padding-left: 0;background-color:#FFF;width: 25rem;max-width: 100%; border-right: 1px solid #DDD}
.top-bar-title h1 {padding-left: 1rem; font-family: Verdana, Arial, Helvetica, sans-serif;font-size:1.2em;font-weight:bold;margin-top:1rem;color:#666;}

.top-bar ul {
    background-color: #FFF;
}

.menu-hover-lines {
  text-align: left;
}

.menu-hover-lines li a {
  color: rgba(10, 10, 10, 0.5);
  position: relative;
  margin-left: 0;
  z-index:999;
}

.menu-hover-lines li a:hover {
  background-color:  rgba(10, 10, 10, 0.5);
  color: #FFF;
}


.title { 
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size:1.5em;
    font-weight:bold;
  }

form.login {margin:5rem auto; width:20rem; padding: 1rem;background-color:#EEE;border:1px solid #CCC;}
form.params {margin:1rem auto; width:30rem; padding: 1rem;background-color:#EEE;border:1px solid #CCC;}
form.register {margin:1rem auto; width:50%; padding: 1rem;background-color:#EEE;border:1px solid #CCC;}
.button50 {width:50%;}
.smallmenu {font-size:0.8rem;}

.no_margin {margin:0;}

.multilevel-accordion-menu {
    .is-accordion-submenu-parent a {
        background: #F3F3F3;
        color:#41525E;
    }
    .is-accordion-submenu a {
        background: #FAFAFA;
        box-shadow: none;
    }
    .sublevel li {
        margin-left: 2rem;
    }
    a {
        color:#41525E;
        box-shadow: inset 0 -1px #DDD;

        &::after {
            border-color: #fefefe transparent transparent;
        }
    }
    .menu > li:not(.menu-text) > a {
        padding: 1.2rem 1rem;
    }

    .is-accordion-submenu-parent {
        &[aria-expanded="true"] a.subitem::before {
            content: "\e1cf";
            font-family: "Font Awesome 6 Pro";
            margin-right: 1rem;
        }
        &[aria-expanded="true"] a::before {
            content: "\f105";
            font-family: "Font Awesome 6 Pro";
            margin-right: 1rem;
        }
        &[aria-expanded="false"] a::before {
            content: "\f107";
            font-family: "Font Awesome 6 Pro";
            margin-right: 1rem;
        }
    }

    /* fix top level items */
    & > li > a {
        background: #F3F3F3;

        &::before {
            content: "\e1cf";
            font-family: "Font Awesome 6 Pro";
            margin-right: 1rem;
        }
    }

    /* hover states */
    li a:hover {
        background-color: #41525E;
        color: #FFF;
    }
}

div.reportbox {background-color: #EEE}
div.report {background-color: #FFF; margin-left: 5rem;margin-right: 5rem; border: 1px solid #efefef; padding: 2rem}

table.report {font-family:"Lucida Sans Unicode", "Lucida Grande", Sans-Serif;font-size:12px;text-align:center;border-collapse:collapse;border-top:7px solid #9baff1;border-bottom:7px solid #9baff1;margin:20px;width: 1000px}
table.report th { font-size:13px; font-weight:bold; background:#e8edff; border-right:1px solid #9baff1; border-left:1px solid #9baff1;  color:#039; padding:8px;}
table.report td { background:#e8edff; border-right:1px solid #aabcfe; border-left:1px solid #aabcfe;  color:#669; padding:8px;}
.card {background-color:#222;box-shadow: 1px 1px 2px 0px rgba(0,0,0,0.75);}
.card-section {background-color:#FFF;}
footer {margin:1em;border-top:1px solid #aabcfe;font-size: 0.8em;text-align: right}
.waiting-box, .dialog-box  {
    display: block;
    text-align: center;
    position: fixed; /* fixed position so it doesn't scroll */
    z-index: 9999; /* on top of everything else */
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
}

.dialog-box {
    border: 1px solid #000;
    background-color:rgba(13, 13, 13, 0.5);
}

.waiting-box div {position: fixed;top: 50%;left:50%;margin-top:-1rem;margin-left:-10rem;height:2rem; width:20rem; background-color:#FFF;}

.list_dialog-content {position: fixed;top: 10%;left:10%;margin-top:0;margin-left:0;height:80%; width:80%; padding: 1rem;background-color:#FFF;}
.listgrid {display:block;height:70%;overflow:scroll;}
.listgrid tr {width:100%;}

.today {font-weight: bold}

.callout {
  margin: 0 0 1rem 0;
  width: 100%;
  background: #f8f8f8;
  color: #333;
  border: 0;
  border-left: 0.3125rem solid #8a8a8a;
  box-shadow: 0 5px 8px -6px rgba(0, 0, 0, 0.2);
}

.callout.success {
  color: #333;
  border-left: 0.3125rem solid #3adb76;
}

.callout.alert {
  color: #333;
  border-left: 0.3125rem solid #cc4b37;
}

.callout.warning {
  color: #333;
  border-left: 0.3125rem solid #ffae00;
}

.callout.primary {
  color: #333;
  border-left: 0.3125rem solid #1779ba;
}

/**
 * Import modules
 */
.import-module {
    .row { max-width: none; }
    .step1 { border-bottom: 1px solid #ddd; }
    td {
        &.validation-warning { color: #b17900; border: 1px solid #fff; border-left: 4px solid #ffae00; background-color: #fff3d9; }
        &.validation-alert { color: #dd0000; border: 1px solid #fff; border-left: 4px solid #A00; background-color: #f7e4e1; }
        &.validation-warning, &.validation-alert {
            small { font-weight: bold; }
        }
    }
}


table.mobile {
  border: 1px solid #ccc;
  border-collapse: collapse;
  margin: 0;
  padding: 0;
  width: 100%;
  table-layout: fixed;
}

table.mobile caption {
  font-size: 1.5em;
  margin: .5em 0 .75em;
}

table.mobile tr {
  border: 1px solid #ddd;
  padding: .35em;
}

table.mobile th,
table.mobile td {
  padding: .625em;
  text-align: center;
}

table.mobile th {
  font-size: .85em;
}

@media screen and (max-width: 600px) {
  table.mobile {
    border: 0;
  }

  table.mobile caption {
    font-size: 1.3em;
  }
  
  table.mobile thead {
    border: none;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
  }
  
  table.mobile tr {
    border-bottom: 3px solid #ddd;
    display: block;
    margin-bottom: .625em;
  }
  
  table.mobile td {
    border-bottom: 1px solid #ddd;
    display: block;
    font-size: .8em;
    text-align: right;
    line-height: 1.25;
  }
  
  table.mobile td::before {
    /*
    * aria-label has no advantage, it won't be read inside a table
    content: attr(aria-label);
    */
    content: attr(data-label);
    float: left;
    font-weight: bold;
  }
  
  table.mobile td:last-child {
    border-bottom: 0;
  }
}

.label.blue {
 background-color:#2ba6cb;
 color:#0a0a0a
}

.label.gray {
 background-color:#e9e9e9;
 color:#0a0a0a
}

.label.red {
 background-color:#c60f13;
 color:#fefefe
}

.label.green {
 background-color:#5da423;
 color:#0a0a0a
}

.label.yellow {
 background-color:#ffae00;
 color:#0a0a0a
}